Is it love,
Or it's me that finds you everytime
Is it you,
Or those eyes have done some kind of magic that no one have defined,but I gotta find, what you have in mind,
if you are just a friend who is jus too kind,cares to much, plays with my mind Or,
Or Is it love





